package cn.com.ctop.toutiao.modules.tool.util;

import cn.com.ctop.toutiao.modules.material.entity.ByteDanceAudiencePackage;
import com.alibaba.fastjson.JSONObject;

public class  JsonObjectToJsonStringUtil {

    public static ByteDanceAudiencePackage toAudiencePackage(ByteDanceAudiencePackage byteDanceAudiencePackage) {
        if (byteDanceAudiencePackage.getRetargetingTags() != null) {
            byteDanceAudiencePackage.setRetargetingTags(JSONObject.toJSONString(byteDanceAudiencePackage.getRetargetingTags()));
        }
        if (byteDanceAudiencePackage.getRetargetingTagsExclude() != null) {
            byteDanceAudiencePackage.setRetargetingTagsExclude(JSONObject.toJSONString(byteDanceAudiencePackage.getRetargetingTagsExclude()));
        }
        if (byteDanceAudiencePackage.getAge() != null) {
            byteDanceAudiencePackage.setAge(JSONObject.toJSONString(byteDanceAudiencePackage.getAge()));
        }
        if (byteDanceAudiencePackage.getCarrier() != null) {
            byteDanceAudiencePackage.setCarrier(JSONObject.toJSONString(byteDanceAudiencePackage.getCarrier()));
        }
        if (byteDanceAudiencePackage.getAc() != null) {
            byteDanceAudiencePackage.setAc(JSONObject.toJSONString(byteDanceAudiencePackage.getAc()));
        }
        if (byteDanceAudiencePackage.getDeviceBrand() != null) {
            byteDanceAudiencePackage.setDeviceBrand(JSONObject.toJSONString(byteDanceAudiencePackage.getDeviceBrand()));
        }
        if (byteDanceAudiencePackage.getArticleCategory() != null) {
            byteDanceAudiencePackage.setArticleCategory(JSONObject.toJSONString(byteDanceAudiencePackage.getArticleCategory()));
        }
        if (byteDanceAudiencePackage.getActivateType() != null) {
            byteDanceAudiencePackage.setActivateType(JSONObject.toJSONString(byteDanceAudiencePackage.getActivateType()));
        }
        if (byteDanceAudiencePackage.getPlatform() != null) {
            byteDanceAudiencePackage.setPlatform(JSONObject.toJSONString(byteDanceAudiencePackage.getPlatform()));
        }
        if (byteDanceAudiencePackage.getAutoExtendTargets() != null) {
            byteDanceAudiencePackage.setAutoExtendTargets(JSONObject.toJSONString(byteDanceAudiencePackage.getAutoExtendTargets()));
        }
        if (byteDanceAudiencePackage.getRetargetingTags() != null) {
            byteDanceAudiencePackage.setRetargetingTags(JSONObject.toJSONString(byteDanceAudiencePackage.getRetargetingTags()));
        }
        if (byteDanceAudiencePackage.getActionScene() != null) {
            byteDanceAudiencePackage.setActionScene(JSONObject.toJSONString(byteDanceAudiencePackage.getActionScene()));
        }
        if (byteDanceAudiencePackage.getActionCategories() != null) {
            byteDanceAudiencePackage.setActionCategories(JSONObject.toJSONString(byteDanceAudiencePackage.getActionCategories()));
        }
        if (byteDanceAudiencePackage.getActionWords() != null) {
            byteDanceAudiencePackage.setActionWords(JSONObject.toJSONString(byteDanceAudiencePackage.getActionWords()));
        }
        if (byteDanceAudiencePackage.getLaunchPrice() != null) {
            byteDanceAudiencePackage.setLaunchPrice(JSONObject.toJSONString(byteDanceAudiencePackage.getLaunchPrice()));
        }
        if (byteDanceAudiencePackage.getInterestCategories() != null) {
            byteDanceAudiencePackage.setInterestCategories(JSONObject.toJSONString(byteDanceAudiencePackage.getInterestCategories()));
        }
        if (byteDanceAudiencePackage.getCity() != null) {
            byteDanceAudiencePackage.setCity(JSONObject.toJSONString(byteDanceAudiencePackage.getCity()));
        }
        if (byteDanceAudiencePackage.getBusinessIds() != null) {
            byteDanceAudiencePackage.setBusinessIds(JSONObject.toJSONString(byteDanceAudiencePackage.getBusinessIds()));
        }
        if (byteDanceAudiencePackage.getGeolocation() != null) {
            byteDanceAudiencePackage.setGeolocation(JSONObject.toJSONString(byteDanceAudiencePackage.getGeolocation()));
        }
        if (byteDanceAudiencePackage.getAwemeFansNumbers() != null) {
            byteDanceAudiencePackage.setAwemeFansNumbers(JSONObject.toJSONString(byteDanceAudiencePackage.getAwemeFansNumbers()));
        }
        if (byteDanceAudiencePackage.getAwemeFanAccounts() != null) {
            byteDanceAudiencePackage.setAwemeFanAccounts(JSONObject.toJSONString(byteDanceAudiencePackage.getAwemeFanAccounts()));
        }
        if (byteDanceAudiencePackage.getAwemeFanCategories() != null) {
            byteDanceAudiencePackage.setAwemeFanCategories(JSONObject.toJSONString(byteDanceAudiencePackage.getAwemeFanCategories()));
        }
        if (byteDanceAudiencePackage.getAwemeFanBehaviors() != null) {
            byteDanceAudiencePackage.setAwemeFanBehaviors(JSONObject.toJSONString(byteDanceAudiencePackage.getAwemeFanBehaviors()));
        }
        return byteDanceAudiencePackage;
    }
}
